| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.StackTile

Portability | unportable
Stability | unstable
Maintainer | Rickard Gustafsson <acura@allyourbase.se>

Contents

Usage

Description
A stacking layout, like dishes but with the ability to resize master pane. Moastly usefull on small screens.
Synopsis

data StackTile a = StackTile !Int !Rational !Rational

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.StackTile

Then edit your `layoutHook` by adding the StackTile layout:

     myLayouts =  StackTile 1 (3/100) (1/2) ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayouts }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data StackTile a | Source

Constructors

StackTile !Int !Rational !Rational |

Instances

LayoutClass StackTile a
Read (StackTile a)
Show (StackTile a)

Produced by Haddock version 2.4.2